import request from './request'


export default {

    add(data) {
        return request({
            url: '/announcement/add',
            method: 'post',
            data
        });
    },

    query(data) {
        return request({
            url: '/announcement/query',
            method: 'post',
            data
        });
    },

    update(data) {
        return request({
            url: '/announcement/update',
            method: 'put',
            data
        });
    },

    delete(data) {
        return request({
            url: '/announcement/delete',
            method: 'delete',
            data
        });
    },

    deleteBatch(data) {
        return request({
            url: '/announcement/delete_batch',
            method: 'delete',  
            data
        });
    },

    importBatch(data) {
        return request({
            url: '/announcement/import_batch',
            method: 'post',  
            data
        });
    }

}
